nxt.http.callers

## Class VerifyTaggedDataCall

- java.lang.Object
- - nxt.http.APICall.Builder<VerifyTaggedDataCall>
  - - nxt.http.callers.VerifyTaggedDataCall

-     public class VerifyTaggedDataCall
      extends APICall.Builder<VerifyTaggedDataCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `VerifyTaggedDataCall` | `channel(java.lang.String channel)`
    `static VerifyTaggedDataCall` | `create(int chain)`
    `VerifyTaggedDataCall` | `data(java.lang.String data)`
    `VerifyTaggedDataCall` | `description(java.lang.String description)`
    `VerifyTaggedDataCall` | `file(byte[] b)`
    `VerifyTaggedDataCall` | `filename(java.lang.String filename)`
    `VerifyTaggedDataCall` | `isText(boolean isText)`
    `VerifyTaggedDataCall` | `name(java.lang.String name)`
    `VerifyTaggedDataCall` | `requireBlock(java.lang.String requireBlock)`
    `VerifyTaggedDataCall` | `requireLastBlock(java.lang.String requireLastBlock)`
    `VerifyTaggedDataCall` | `tags(java.lang.String tags)`
    `VerifyTaggedDataCall` | `transactionFullHash(byte[] transactionFullHash)`
    `VerifyTaggedDataCall` | `transactionFullHash(java.lang.String transactionFullHash)`
    `VerifyTaggedDataCall` | `type(int type)`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, feeNQT, feeRateNQTPerFXT, getBlock, getBlocks, getChain, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, recipient, recipient, remote, secretPhrase, setParamValidation, sharedPiece, sharedPieceAccount, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static VerifyTaggedDataCall create(int chain)

    - #### requireLastBlock

          public VerifyTaggedDataCall requireLastBlock(java.lang.String requireLastBlock)

    - #### filename

          public VerifyTaggedDataCall filename(java.lang.String filename)

    - #### data

          public VerifyTaggedDataCall data(java.lang.String data)

    - #### channel

          public VerifyTaggedDataCall channel(java.lang.String channel)

    - #### name

          public VerifyTaggedDataCall name(java.lang.String name)

    - #### description

          public VerifyTaggedDataCall description(java.lang.String description)

    - #### transactionFullHash

          public VerifyTaggedDataCall transactionFullHash(java.lang.String transactionFullHash)

    - #### transactionFullHash

          public VerifyTaggedDataCall transactionFullHash(byte[] transactionFullHash)

    - #### type

          public VerifyTaggedDataCall type(int type)

    - #### isText

          public VerifyTaggedDataCall isText(boolean isText)

    - #### requireBlock

          public VerifyTaggedDataCall requireBlock(java.lang.String requireBlock)

    - #### tags

          public VerifyTaggedDataCall tags(java.lang.String tags)

    - #### file

          public VerifyTaggedDataCall file(byte[] b)